import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * ComponentGUI:
 * 
 * Shows a simple example of making a window with a single component
 * and adding code to take action when particular events occur.
 */

public class ComponentGUI extends JPanel implements ActionListener {
    //////////////////////////////////////////////////
    // instance variables
    JButton quitButton;
    JPanel content;
    
    //////////////////////////////////////////////////
    // instance methods
    public void actionPerformed(ActionEvent e) {
        System.exit(0);
    }
    
    //////////////////////////////////////////////////
    // Sole constructor sets up physical appearance of
    // GUI and adds listeners to some components.
    public ComponentGUI() {
        quitButton = new JButton("Quit");
        quitButton.addActionListener(this);
        
        content = new JPanel();
        content.setLayout(new BorderLayout());
        content.add(quitButton, BorderLayout.CENTER);
        
        JFrame window = new JFrame("GUI with JButton");
        window.setContentPane(content);
        window.setSize(250,100);
        window.setLocation(100,100);
        window.setVisible(true);
        
    }
    
    //////////////////////////////////////////////////
    // main method is only static member of this class.
    // creates a ComponentGUI object and sets up GUI in
    // the constructor
    public static void main(String[] args) {     
        ComponentGUI cGUI = new ComponentGUI();
    } // end main
    
}